gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. used to display an image. can be used as a container for a or a to get custom interfaces. cannot launch events, it is necessary to include it inside a for that purpose. Gtk.Misc Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Creates a displaying an . an object of type an object of type Creates a displaying an . Sample stock sizes are , . Instead of using this function, usually it is better to create a , put your in the , add the to the list of default factories with , and then use . This will allow themes to override the icon you ship with your application.
- Method
  System.Void `` `` Creates a widget displaying an image with a mask. an object of type an object of type Creates a widget displaying an image with a mask. A is a client-side image buffer in the pixel format of the current display.
- Method
  System.Void `` `` Creates a displaying a stock icon. an object of type an object of type Creates a displaying a stock icon. Sample stock icon names are , . Sample stock sizes are , . If the stock icon name is not known, a "broken image" icon will be displayed instead. You can register your own stock icon names, see and .
- Method
  System.Void `` `` Creates a widget displaying an image with a mask. an object of type an object of type Creates a widget displaying an image with a mask. A is a client-side image buffer in the pixel format of the current display.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Image, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default parameterless constructor.
  An instance of type
- Constructor
  This constructor is used to create an instance of containing the passed to it.
  to be displayed by the Image.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the image stored in the filename whose path is given by the 'filename' parameter.
  representing the path to the image file.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the and using the passed to it.
  to be displayed by the Image.
  to be used by the Image.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the and the passed to it.
  to be displayed by the Image.
  mask to be used.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the passed to it.
  to be displayed by the Image.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the and the mask passed to it.
  displayed by the Image.
  mask used by the Image.
  An instance of type .
- Constructor
  This constructor is used to create an instance of containing the represented by the passed to it and with the size represented by the passed.
  identifier for the .
  used by the Image.
  An instance of type .
- Property
  Gdk.Pixbuf Creates a displaying . an object of type an object of type Creates a displaying .
- Property
  Gdk.PixbufAnimation Get the animation for this image. an object of type
- Property
  Gdk.PixbufAnimation Causes the Image object to display the given animation (or display nothing, if you set the animation to ). an object of type an object of type
- Property
  System.String

  Creates a new displaying the file If the file isn't found or can't be loaded, the resulting Image will display a "broken image" icon. This function never returns , it always returns a valid Image widget. If the file contains an animation, the image will contain an animation.

  If you need to detect failures to load the file, use to load the file yourself, then create the Image from the pixbuf. (Or for animations, use ).

  The storage type () of the returned image is not defined, it will be whatever is appropriate for displaying the file.

  an object of type an object of type
- Property
  System.String A stock item name, if this is a stock image. an object of type an object of type
- Property
  Gdk.Pixbuf Gets or sets the associated to the Image. that will be set to the Image. that the Image contains.
- Property
  System.Int32 The size (dimension on a side) for a square icon. an object of type an object of type
- Property
  System.String The file this image was loaded from. an object of type an object of type
- Property
  Gtk.ImageType The type of representation being used by the #GtkImage to store image data. If the Image has no image data, the return value will be . an object of type
- Property
  Gtk.IconSet Gets or sets the associated to the Image. that will be set to the Image. that the Image contains.
- Property
  Gdk.PixbufAnimation Gets or sets the associated to the Image. that will be set to the Image. that the Image contains.
- Property
  Gdk.Pixmap Mask bitmap to use with or an object of type an object of type
- Property
  Gdk.Pixmap Gets or sets the associated to the Image. that will be set to the Image. that the Image contains.
- Property
  Gdk.Image Gets or sets the associated with the Image. that will be set to the Image. that the Image contains.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added